summaryrefslogtreecommitdiffstats
path: root/.config/zsh/oh-my-zsh/plugins/cargo
diff options
context:
space:
mode:
authorLibravatarLibravatar Biswakalyan Bhuyan <biswa@surgot.in> 2025-02-13 14:13:49 +0530
committerLibravatarLibravatar Biswakalyan Bhuyan <biswa@surgot.in> 2025-02-13 14:13:49 +0530
commit8a2e1006b3b272126332aa064f3ad95387129544 (patch)
tree944c80ac612a65980d94a54ba11b6c7102037ecf /.config/zsh/oh-my-zsh/plugins/cargo
parentdcbb16d8b08ff5956abef5e6478b59df2e93ad35 (diff)
downloaddotfiles-master.tar.gz
dotfiles-master.tar.bz2
dotfiles-master.zip
new dot filesHEADmaster
Diffstat (limited to '.config/zsh/oh-my-zsh/plugins/cargo')
-rw-r--r--.config/zsh/oh-my-zsh/plugins/cargo/README.md3
-rw-r--r--.config/zsh/oh-my-zsh/plugins/cargo/cargo.plugin.zsh7
2 files changed, 10 insertions, 0 deletions
diff --git a/.config/zsh/oh-my-zsh/plugins/cargo/README.md b/.config/zsh/oh-my-zsh/plugins/cargo/README.md
new file mode 100644
index 0000000..93e69ae
--- /dev/null
+++ b/.config/zsh/oh-my-zsh/plugins/cargo/README.md
@@ -0,0 +1,3 @@
+# cargo
+
+**Deprecated: use the [`rust`](https://github.com/ohmyzsh/ohmyzsh/tree/master/plugins/rust) plugin instead.**
diff --git a/.config/zsh/oh-my-zsh/plugins/cargo/cargo.plugin.zsh b/.config/zsh/oh-my-zsh/plugins/cargo/cargo.plugin.zsh
new file mode 100644
index 0000000..692025e
--- /dev/null
+++ b/.config/zsh/oh-my-zsh/plugins/cargo/cargo.plugin.zsh
@@ -0,0 +1,7 @@
+print ${(%):-'%F{yellow}The `cargo` plugin is deprecated and has been moved to the `rust` plugin.'}
+print ${(%):-'Please update your .zshrc to use the `%Brust%b` plugin instead.%f'}
+
+(( ${fpath[(Ie)$ZSH/plugins/rust]} )) || {
+ fpath=("$ZSH/plugins/rust" $fpath)
+ source "$ZSH/plugins/rust/rust.plugin.zsh"
+}